gr::radar::ofdm_cyclic_prefix_remover_cvc Class Reference

This block removes the cyclic prefix of a OFDM signal by cut away the cyclic prefix data. cp_len gives the length of the cyclic prefix. fft_len represents the length of the data before the cyclic prefix. More...

`#include <ofdm_cyclic_prefix_remover_cvc.h>`

Inheritance diagram for gr::radar::ofdm_cyclic_prefix_remover_cvc:

## Public Types

typedef std::shared_ptr< ofdm_cyclic_prefix_remover_cvc > | sptr

## Static Public Member Functions

static sptr | make (int fft_len, int cp_len, std::string len_key="packet_len")
| Return a shared_ptr to a new instance of radar::ofdm_cyclic_prefix_remover_cvc.

## Detailed Description

This block removes the cyclic prefix of a OFDM signal by cut away the cyclic prefix data. cp_len gives the length of the cyclic prefix. fft_len represents the length of the data before the cyclic prefix.

Parameters

  fft_len | Length of FFT
  cp_len | Length of cyclic prefix
  len_key | Packet length key for tagged stream

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<ofdm_cyclic_prefix_remover_cvc> gr::radar::ofdm_cyclic_prefix_remover_cvc::sptr

## Member Function Documentation

## make()

sptr gr::radar::ofdm_cyclic_prefix_remover_cvc::make | ( | int | fft_len,
|  | int | cp_len,
|  | std::string | len_key = "packet_len" )

static

Return a shared_ptr to a new instance of radar::ofdm_cyclic_prefix_remover_cvc.

To avoid accidental use of raw pointers, radar::ofdm_cyclic_prefix_remover_cvc's constructor is in a private implementation class. radar::ofdm_cyclic_prefix_remover_cvc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- ofdm_cyclic_prefix_remover_cvc.h